/*
 * CB3JdbcDaoSupport.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

import org.springframework.jdbc.core.support.JdbcDaoSupport;


/**
 * SpringのJdbcDaoSupportクラスを拡張したDAOサポートクラス。
 * @author Lijuan Sun
 */
public class CB3JdbcDaoSupport extends JdbcDaoSupport {

	/** CB3JdbcTemplate */
	private CB3JdbcTemplate cb3JdbcTemplate;


	/**
	 * SpringのJdbcTemplateをラップしてCB3JdbcTemplateを生成する。
	 */
	protected void initTemplateConfig() {
		this.cb3JdbcTemplate = new CB3JdbcTemplate(getJdbcTemplate());
	}

	/**
	 * CB3JdbcTemplateを取得する。
	 * @return CB3JdbcTemplate
	 */
	public CB3JdbcTemplate getCB3JdbcTemplate() {
	  return cb3JdbcTemplate;
	}
}
